{% extends "base.html"%}
{% load staticfiles %}
{% block css-content%}
<link href="{% static 'home/dashboard.css' %}" rel="stylesheet">
{% endblock %}
{% block content%}
<nav aria-label="breadcrumb" class="position-fixed">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'home:index' %}">Home</a></li>
        <li class="breadcrumb-item active">Dashboard</li>
    </ol>
</nav>
<br>
<div class="mt-3 ml-3">
    <h1>Welcome, {{request.user.username}}</h1>
</div>
<div class="split">
    <div class="left gamer">
        <div class="centered">
            {% if games|length > 0 %}
            <h1>Top scoring games</h1>
            <ul class="list-unstyled">
                {% for key, values in games.items %}
                <li>{{key}} - {{values.score}}
                    {% if values.user == request.user.username%}
                    <strong>(scored by You)</strong>
                    {% else %}
                    <strong>(scored by {{values.user}})</strong>
                    {% endif %}
                </li>
                {% endfor %}
            </ul>
            {% else %}
            <h1>No games played yet</h1>
            {% endif %}
        </div>
    </div>

    <div class="right geek">
        <div class="centered">
            {% if quiz|length > 0 %}
            <h1>Top scoring quizes</h1>
            <ul class="list-unstyled">
                {% for key, values in quiz.items %}
                <li>{{key}} - {{values.score}}
                    {% if values.user == request.user.username%}
                    <strong>(scored by You)</strong>
                    {% else %}
                    <strong>(scored by {{values.user}})</strong>
                    {% endif %}
                </li>
                {% endfor %}
            </ul>
            {% else %}
            <h1>No quiz played yet</h1>
            {% endif %}
        </div>
    </div>
</div>
{% endblock%}